com.io7m.jcanephora.core

## Class JCGLVersionNumber.Builder

- java.lang.Object
- - com.io7m.jcanephora.core.JCGLVersionNumber.Builder

- Enclosing class:
    JCGLVersionNumber

      public static final class JCGLVersionNumber.Builder
      extends Object

  Builds instances of type `JCGLVersionNumber`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JCGLVersionNumber` | `build()` Builds a new `JCGLVersionNumber`.
    `JCGLVersionNumber.Builder` | `from(JCGLVersionNumberType instance)` Fill a builder with attribute values from the provided `JCGLVersionNumberType` instance.
    `JCGLVersionNumber.Builder` | `setMajor(int major)` Initializes the value for the `major` attribute.
    `JCGLVersionNumber.Builder` | `setMicro(int micro)` Initializes the value for the `micro` attribute.
    `JCGLVersionNumber.Builder` | `setMinor(int minor)` Initializes the value for the `minor` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final JCGLVersionNumber.Builder from(JCGLVersionNumberType instance)

      Fill a builder with attribute values from the provided `JCGLVersionNumberType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setMajor

          public final JCGLVersionNumber.Builder setMajor(int major)

      Initializes the value for the `major` attribute.
      Parameters:
        `major` - The value for major
      Returns:
        `this` builder for use in a chained invocation

    - #### setMinor

          public final JCGLVersionNumber.Builder setMinor(int minor)

      Initializes the value for the `minor` attribute.
      Parameters:
        `minor` - The value for minor
      Returns:
        `this` builder for use in a chained invocation

    - #### setMicro

          public final JCGLVersionNumber.Builder setMicro(int micro)

      Initializes the value for the `micro` attribute.
      Parameters:
        `micro` - The value for micro
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public JCGLVersionNumber build()

      Builds a new `JCGLVersionNumber`.
      Returns:
        An immutable instance of JCGLVersionNumber
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com